跳转到内容

Sam 3 · 3D Align

集成

模型 id sam-3/3d-align
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/sam-3/3d-align?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "body_mesh_url": "https://example.com/your-file.glb"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: ≈$0.02 20 API 积分 · ≈ ₽2.11 在此页面运行

获取 API 密钥
Meta · 3D

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填 image_url
拖放文件,或

用于通过 MoGe 估计深度的源图像 URL。

•必填

用于对齐的网格 URL,接受 .ply 或 .glb 格式的 SAM-3D Body 文件。

高级 body_mask_url · object_mesh_url · focal_length
拖放文件,或

人体掩码图像 URL;省略时使用整个图像。

可选的 SAM-3D Object 网格 URL,格式为 .glb,用于构建组合场景。

来自 SAM-3D Body 元数据的焦距覆盖值;未提供时使用 MoGe 估计值。

POST /run/sam-3/3d-align?wait=20 报价 → $0.02
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/sam-3/3d-align?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "body_mesh_url": "https://example.com/your-file.glb"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Sam 3 · 3D Align

使用 `image_url` 的深度估计,将人体网格(.ply 或 .glb)放入原始照片的坐标空间。可选输入包括人体掩码、焦距值和物体网格(.glb),后者可生成组合场景文件。输出包括对齐后的 PLY 和 GLB 网格、对齐元数据及叠加可视化结果。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
image_url必填 image
类型url · image
用于通过 MoGe 估计深度的源图像 URL。
body_mesh_url必填
类型string
用于对齐的网格 URL,接受 .ply 或 .glb 格式的 SAM-3D Body 文件。
body_mask_url可选
类型url · image
人体掩码图像 URL;省略时使用整个图像。
object_mesh_url可选
类型string | null
可选的 SAM-3D Object 网格 URL,格式为 .glb,用于构建组合场景。
focal_length可选
类型number | null
来自 SAM-3D Body 元数据的焦距覆盖值;未提供时使用 MoGe 估计值。
必填 规范名称,也可接受

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "sam-3/3d-align",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 20,
    "usd": "0.02",
    "charged": 20,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "body_mesh_url": "https://example.com/your-file.glb"
  },
  "output": {
    "body_mesh_ply": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "model_glb": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "visualization": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "metadata": {
      "person_id": 1,
      "scale_factor": 1.0,
      "translation": [
        1.0
      ],
      "focal_length": 1.0,
      "target_points_count": 1,
      "cropped_vertices_count": 1
    },
    "scene_glb": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
body_mesh_ply
object {url, content_type, file_name, file_size}包含已对齐人体网格的 PLY 文件。
model_glb
object {url, content_type, file_name, file_size}包含用于 3D 预览的已对齐人体网格的 GLB 文件。
visualization
object {url, content_type, file_name, file_size}叠加已对齐网格的输入图像可视化结果。
metadata
object {person_id, scale_factor, translation, focal_length, target_points_count, cropped_vertices_count}对齐详情,例如缩放和位移。
scene_glb
object {url, content_type, file_name, file_size} | null仅在提供 object_mesh_url 时可用的 GLB 输出;其中在一个场景中同时包含人体和对象网格。

更多模型:3D

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/sam-3/3d-align.md. 所有模型和指南: https://doitong.com/developers/llms.txt